Gallery Platform API
ReferenceGalleryArtworks

List artworks

Lists the gallery's artworks, newest first, with cursor pagination. Pass `draft=true` to get the editor's working copy (pending edits overlaid) instead of the published state.

GET
/gallery/artworks

Lists the gallery's artworks, newest first, with cursor pagination. Pass draft=true to get the editor's working copy (pending edits overlaid) instead of the published state.

Authorization

bearerAuth artworks:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: artworks:read

Query Parameters

limit*integer
Range1 <= value <= 100
Default20
cursor?string
q?string
Lengthlength <= 200
status?array<>
Items1 <= items
availability?array<>
Items1 <= items
ownership?array<>
Items1 <= items
condition?array<>
Items1 <= items
artist_id?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
medium?string
Lengthlength <= 200
price_min?integer
Range0 <= value <= 9007199254740991
price_max?integer
Range0 <= value <= 9007199254740991
year_min?integer
Range-9007199254740991 <= value <= 9007199254740991
year_max?integer
Range-9007199254740991 <= value <= 9007199254740991
height_min?number
Range0 <= value
height_max?number
Range0 <= value
width_min?number
Range0 <= value
width_max?number
Range0 <= value
unpriced?boolean
published?string|boolean
has_image?boolean
sort?string

Sort by one of: created, updated, price, year (default created).

Value in

  • "created"
  • "updated"
  • "price"
  • "year"
dir?string

Sort direction (default desc).

Value in

  • "asc"
  • "desc"
draft*boolean
Defaultfalse

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/gallery/artworks?limit=20&draft=false"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "title": "string",      "artist_id": "552fe3fb-5e61-4c8e-abbd-a992d77f7900",      "inventory_number": "string",      "ownership_status": "owned",      "availability_state": "available",      "status": "available",      "medium": "string",      "year": -9007199254740991,      "description": "string",      "dimension_unit": "in",      "height_cm": 0,      "width_cm": 0,      "depth_cm": 0,      "framed_height_cm": 0,      "framed_width_cm": 0,      "framed_depth_cm": 0,      "dimensions_text": "string",      "location": "string",      "location_id": "46910cc3-ab41-4b80-b4a7-94dab9f1b795",      "price_cents": -9007199254740991,      "currency": "string",      "is_edition": true,      "edition_number": -9007199254740991,      "edition_size": -9007199254740991,      "edition_type": "numbered",      "edition_overrides": [        "string"      ],      "parent_artwork_id": "ddf911f4-6b3b-4d9d-8a95-211e9ed22b01",      "coa_status": "not_required",      "coa_tracking_number": "string",      "condition_status": "excellent",      "condition_notes": "string",      "show_price_publicly": true,      "published_at": "string",      "published_version": -9007199254740991,      "source_system": "string",      "source_external_id": "string",      "formats": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "artwork_id": "1a900bf9-a284-4c99-a359-1f6b482d475f",          "label": "string",          "height_cm": 0,          "width_cm": 0,          "depth_cm": 0,          "dimension_unit": "in",          "medium": "string",          "edition_size": -9007199254740991,          "stock_quantity": -9007199254740991,          "availability_state": "available",          "price_cents": -9007199254740991,          "currency": "string",          "position": -9007199254740991,          "created_at": "string",          "updated_at": "string"        }      ],      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}